## vdr-plugin-epgsearch 0.9.25~beta21

=== Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -Wall -O2 -Woverloaded-virtual -Wno-format-y2k -fPIC
+CXXFLAGS ?= -g -O2 -Wall -Woverloaded-virtual -Wno-parentheses -Wno-format-y2k
 
 ### The directory environment:
 
@@ -84,6 +84,10 @@
 	endif
 endif
 
+### Make sure that necessary options are included:
+-include $(VDRDIR)/Make.global
+
+
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
@@ -276,5 +280,6 @@
 	@cp man/de/*1.gz $(MANDIR)/de/man1/
 	@cp man/de/*5.gz $(MANDIR)/de/man5/
 clean:
-	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot $(PODIR)/*~
-	@-rm -f $(OBJS) $(OBJS2) $(OBJS3) $(OBJS4) $(DEPFILE) *.so *.tgz core* *~ createcats createcats.o pod2*.tmp
+	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
+	@-rm -f $(OBJS) $(OBJS2) $(OBJS3) $(OBJS4) $(DEPFILE) *.so *.tgz core* createcats createcats.o pod2*.tmp
+	@-find . -name "*~" -print0 | xargs -0r rm -f
