=== debian/changelog ===
vdr-plugin-epgsearch (0.9.25~beta21-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:37 +0200

vdr-plugin-epgsearch (0.9.25~beta21-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.19)

 -- Tobias Grimm <etobi@debian.org>  Sun, 19 Jun 2011 22:31:43 +0200

vdr-plugin-epgsearch (0.9.25~beta21-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:23 +0200

vdr-plugin-epgsearch (0.9.25~beta21-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Sun, 03 Apr 2011 21:59:25 +0200

vdr-plugin-epgsearch (0.9.25~beta17-1) unstable; urgency=low

  * New upstream release (beta)
  * Standards-Version: 3.9.1

 -- Tobias Grimm <etobi@debian.org>  Wed, 27 Oct 2010 19:34:59 +0200

vdr-plugin-epgsearch (0.9.25~beta16-3) unstable; urgency=low

  [ Thomas Schmidt ]
  * Standards-Version: 3.8.4

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Apr 2010 14:02:02 +0200

vdr-plugin-epgsearch (0.9.25~beta16-2) unstable; urgency=low

  * Removed INCLUDES from debian/rules ("INCLUDES +=" in Makefile not applied)
  * Build-Depend on vdr-dev (>= 1.6.0-16)
  * Added pkg-config to Build-Depends

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 04 Mar 2010 13:09:35 +0100

vdr-plugin-epgsearch (0.9.25~beta16-1) unstable; urgency=low

  * New upstream beta release
  * Adapted 01_debian-defaults.dpatch
  * Removed 02_gcc-4.3.dpatch (fixed upstream)
  * Removed 03_gcc-4.4.dpatch (fixed upstream)
  * Updated debian/copyright

 -- Thomas Günther <tom@toms-cafe.de>  Fri, 05 Feb 2010 20:36:20 +0100

vdr-plugin-epgsearch (0.9.24-6) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552639)
  * Added README.source
  * Added gcc 4.4 fix

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 23:15:48 +0100

vdr-plugin-epgsearch (0.9.24-5) unstable; urgency=low

  * Standards-Version: 3.8.3
  * Dropped conf file moving to maintainer scripts

 -- Tobias Grimm <etobi@debian.org>  Fri, 09 Oct 2009 22:36:26 +0200

vdr-plugin-epgsearch (0.9.24-4) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:10:50 +0200

vdr-plugin-epgsearch (0.9.24-3) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 17:28:51 +0200

vdr-plugin-epgsearch (0.9.24-2) unstable; urgency=low

  [ Tobias Grimm ]
  * Added 02_gcc-4.3.dpatch to fix GCC-4.3 related FTBFS

  [ Thomas Schmidt ]
  * Fixes FTBFS related to the new dpkg (closes: #484290)
  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:04:16 +0200

vdr-plugin-epgsearch (0.9.24-1) experimental; urgency=low

  * New upstream release
  * COMPAT = 5

 -- Tobias Grimm <tg@e-tobi.net>  Thu, 01 May 2008 17:59:55 +0200

vdr-plugin-epgsearch (0.9.24~beta25-1) experimental; urgency=low

  [ Tobias Grimm ]
  * New upstream release

  [ Thomas Schmidt ]
  * Build-Depend on vdr-dev (>=1.6.0)

 -- Tobias Grimm <tg@e-tobi.net>  Thu, 03 Apr 2008 23:42:18 +0200

vdr-plugin-epgsearch (0.9.24~beta19-1) experimental; urgency=low

  * New upstream release
  * Updated debian/copyright

 -- Tobias Grimm <tg@e-tobi.net>  Tue, 19 Feb 2008 00:35:05 +0100

vdr-plugin-epgsearch (0.9.24~beta3-6) experimental; urgency=low

  * Force update for new VDR release

 -- Tobias Grimm <tg@e-tobi.net>  Sat, 16 Feb 2008 22:30:41 +0100

vdr-plugin-epgsearch (0.9.24~beta3-5) unstable; urgency=low

  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3

 -- Thomas Schmidt <tschmidt@debian.org>  Fri, 28 Dec 2007 23:21:33 +0100

vdr-plugin-epgsearch (0.9.24~beta3-4) unstable; urgency=low

  * Release for vdrdevel 1.5.12

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 20 Nov 2007 23:46:15 +0100

vdr-plugin-epgsearch (0.9.24~beta3-3) unstable; urgency=low

  * Release for vdrdevel 1.5.11

 -- Thomas Günther <tom@toms-cafe.de>  Tue,  6 Nov 2007 23:34:09 +0100

vdr-plugin-epgsearch (0.9.24~beta3-2) unstable; urgency=low

  * Release for vdrdevel 1.5.10

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 16 Oct 2007 23:50:51 +0200

vdr-plugin-epgsearch (0.9.24~beta3-1) unstable; urgency=low

  * New upstream beta release
  * Changed locale directory to /usr/share/locale
  * Corrected copyright year and license in debian/copyright

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 26 Sep 2007 23:17:31 +0200

vdr-plugin-epgsearch (0.9.23~beta18-1) unstable; urgency=low

  * New upstream beta release
  * Adapted 01_debian-defaults.dpatch
  * Removed 92_epgsearch-0.9.23-beta1.dpatch
  * Added gettext to Build-Depends
  * Added installation of locale files
  * Corrected license in debian/copyright

 -- Thomas Günther <tom@toms-cafe.de>  Sat,  1 Sep 2007 15:59:08 +0200

vdr-plugin-epgsearch (0.9.22-3) unstable; urgency=low

  * Release for vdrdevel 1.5.6

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 14 Aug 2007 01:46:10 +0200

vdr-plugin-epgsearch (0.9.22-2) unstable; urgency=low

  * Release for vdrdevel 1.5.5
  * Added 92_epgsearch-0.9.23-beta1.dpatch

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 27 Jun 2007 23:29:15 +0200

vdr-plugin-epgsearch (0.9.22-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright and debian/watch to the new upstream homepage

 -- Thomas Schmidt <tschmidt@debian.org>  Mon, 28 May 2007 18:53:37 +0200


