## vdr-plugin-epgsearch 1.0.0

=== Makefile ===
--- 
+++ 
@@ -210,7 +210,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.[ch])
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<cwieninger@gmx.de>' -o $@ $(wildcard *.[ch])
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<cwieninger@gmx.de>' -o $@ `ls $^`
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
@@ -229,25 +229,25 @@
 ### Targets:
 
 libvdr-$(PLUGIN).so: $(OBJS)
-	$(CXX) $(CXXFLAGS)  -shared $(OBJS) $(LIBS) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 libvdr-$(PLUGIN2).so: $(OBJS2)
-	$(CXX) $(CXXFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 libvdr-$(PLUGIN3).so: $(OBJS3)
-	$(CXX) $(CXXFLAGS) -shared $(OBJS3) $(LIBS3) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS3) $(LIBS3) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 libvdr-$(PLUGIN4).so: $(OBJS4)
-	$(CXX) $(CXXFLAGS) -shared $(OBJS4) $(LIBS4) -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS4) $(LIBS4) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
 
 createcats: createcats.o Makefile
-	$(CXX) $(CXXFLAGS) createcats.o -o $@
-
-dist: generate-i18n clean
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) createcats.o -o $@
+
+dist: generate-i18n docs clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
@@ -257,15 +257,24 @@
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)/docsrc2html.sh
 	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
+	@ln -sf README.git README
 	@echo Distribution package created as $(PACKAGE).tgz
 
-distfull: generate-i18n clean 
+distfull: generate-i18n docs clean 
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
 	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
+	@ln -sf README.git README
 	@echo complete distribution package created as $(PACKAGE).tgz
+
+docs:
+	@./docsrc2man.sh
+	@./docsrc2html.sh
+	@ln -sf ./doc/en/epgsearch.4.txt MANUAL
+	@ln -sf ./doc/en/epgsearch.1.txt README
+	@ln -sf ./doc/de/epgsearch.1.txt README.DE
 
 install-doc:
 	@mkdir -p $(MANDIR)/man1
@@ -279,7 +288,8 @@
 	@cp man/en/*5.gz $(MANDIR)/man5/
 	@cp man/de/*1.gz $(MANDIR)/de/man1/
 	@cp man/de/*5.gz $(MANDIR)/de/man5/
+
 clean:
 	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
 	@-rm -f $(OBJS) $(OBJS2) $(OBJS3) $(OBJS4) $(DEPFILE) *.so *.tgz core* createcats createcats.o pod2*.tmp
-	@-find . -name "*~" -print0 | xargs -0r rm -f
+	@-find . \( -name "*~" -o -name "#*#" \) -print0 | xargs -0r rm -f
