=== debian/changelog ===
vdr-plugin-epgsearch (1.0.0-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:23 +0100

vdr-plugin-epgsearch (1.0.0-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:37 +0100

vdr-plugin-epgsearch (1.0.0-2) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:10:27 +0200

vdr-plugin-epgsearch (1.0.0-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:22:39 +0200
