## vdr-plugin-epgsearch 1.0.0+git20120325

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,11 @@
 
 ### ------------
 ### CONFIG START
-### 
+###
 ### to comment an option just place a '#' at the beginning of the line
 ### to uncomment an option please remove the leading '#'
 
-### uncomment one of these lines, if you don't want the addon epgsearchonly, 
+### uncomment one of these lines, if you don't want the addon epgsearchonly,
 ### conflictcheckonly or quickepgsearch
 
 #WITHOUT_EPGSEARCHONLY=1
@@ -20,7 +20,7 @@
 ### comment this if you don't want epgsearch to auto config itself
 AUTOCONFIG=1
 
-### if AUTOCONFIG is not active (i.e. commented) you can manually enable the 
+### if AUTOCONFIG is not active (i.e. commented) you can manually enable the
 ### optional modules or patches for other plugins
 ifndef AUTOCONFIG
 # if you want to use Perl compatible regular expressions (PCRE) or libtre for
@@ -64,7 +64,7 @@
 
 ### The directory environment:
 
-DVBDIR = ../../../../DVB
+#DVBDIR = ../../../../DVB
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
@@ -125,15 +125,11 @@
 ifneq ($(SENDMAIL),)
 EPGSEARCH_DEFINES += -DSENDMAIL='"$(SENDMAIL)"'
 endif
-DEFINES += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
-DEFINES1 += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(MAINMENUSHORTCUT)"'
-DEFINES2 += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN2)"'
-DEFINES3 += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN3)"'
-DEFINES4 += $(EPGSEARCH_DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN4)"'
+DEFINES += $(EPGSEARCH_DEFINES)
 
 ### The object files (add further files here):
 
-OBJS = afuzzy.o blacklist.o changrp.o confdloader.o conflictcheck.o conflictcheck_thread.o distance.o $(PLUGIN).o epgsearchcats.o epgsearchcfg.o epgsearchext.o epgsearchsetup.o  epgsearchsvdrp.o epgsearchtools.o i18n.o mail.o md5.o menu_announcelist.o menu_blacklistedit.o menu_blacklists.o menu_commands.o menu_conflictcheck.o menu_deftimercheckmethod.o menu_dirselect.o menu_event.o menu_favorites.o menu_main.o menu_myedittimer.o menu_quicksearch.o menu_recsdone.o menu_search.o menu_searchactions.o menu_searchedit.o menu_searchresults.o menu_searchtemplate.o menu_switchtimers.o menu_templateedit.o menu_timersdone.o menu_whatson.o noannounce.o pending_notifications.o rcfile.o  recdone.o recstatus.o searchtimer_thread.o services.o switchtimer.o switchtimer_thread.o templatefile.o timer_thread.o timerdone.o timerstatus.o uservars.o varparser.o  
+OBJS = afuzzy.o blacklist.o changrp.o confdloader.o conflictcheck.o conflictcheck_thread.o distance.o $(PLUGIN).o epgsearchcats.o epgsearchcfg.o epgsearchext.o epgsearchsetup.o  epgsearchsvdrp.o epgsearchtools.o mail.o md5.o menu_announcelist.o menu_blacklistedit.o menu_blacklists.o menu_commands.o menu_conflictcheck.o menu_deftimercheckmethod.o menu_dirselect.o menu_event.o menu_favorites.o menu_main.o menu_myedittimer.o menu_quicksearch.o menu_recsdone.o menu_search.o menu_searchactions.o menu_searchedit.o menu_searchresults.o menu_searchtemplate.o menu_switchtimers.o menu_templateedit.o menu_timersdone.o menu_whatson.o noannounce.o pending_notifications.o rcfile.o  recdone.o recstatus.o searchtimer_thread.o services.o switchtimer.o switchtimer_thread.o templatefile.o timer_thread.o timerdone.o timerstatus.o uservars.o varparser.o
 
 ifeq ($(REGEXLIB), pcre)
 LIBS += $(shell pcre-config --libs-posix)
@@ -155,7 +151,7 @@
 DEFINES += -DUSE_GRAPHTFT
 endif
 
-ifdef CFLC 
+ifdef CFLC
 DEFINES += -DCFLC
 endif
 
@@ -163,6 +159,18 @@
 DEFINES += -DDEBUG_CONFL
 endif
 
+ifdef PLUGIN_EPGSEARCH_MAX_SUBTITLE_LENGTH
+DEFINES += -DMAX_SUBTITLE_LENGTH='$(PLUGIN_EPGSEARCH_MAX_SUBTITLE_LENGTH)'
+endif
+
+### length of the filling '-' in the channel separators, defaults to
+### "----------------------------------------"
+### overwrite this with PLUGIN_EPGSEARCH_SEP_ITEMS=--- in your Make.config
+### to avoid problems with graphlcd
+ifdef PLUGIN_EPGSEARCH_SEP_ITEMS
+DEFINES += -DMENU_SEPARATOR_ITEMS='"$(PLUGIN_EPGSEARCH_SEP_ITEMS)"'
+endif
+
 OBJS2    = mainmenushortcut.o epgsearchonly.o
 LIBS2    =
 
@@ -179,15 +187,15 @@
 ### Implicit rules:
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN)"' $(INCLUDES) $<
 mainmenushortcut.o: mainmenushortcut.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES1) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(MAINMENUSHORTCUT)"' $(INCLUDES) $<
 epgsearchonly.o: epgsearchonly.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES2) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN2)"' $(INCLUDES) $<
 conflictcheckonly.o: conflictcheckonly.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES3) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN3)"' $(INCLUDES) $<
 quickepgsearch.o: quickepgsearch.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES4) $(INCLUDES) $<
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) -DPLUGIN_NAME_I18N='"$(PLUGIN4)"' $(INCLUDES) $<
 
 # Dependencies:
 
@@ -210,7 +218,7 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.[ch])
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<cwieninger@gmx.de>' -o $@ `ls $^`
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP -kI18nTranslate --msgid-bugs-address='<cwieninger@gmx.de>' -o $@ `ls $^`
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
@@ -223,9 +231,6 @@
 .PHONY: i18n
 i18n: $(I18Nmsgs) $(I18Npot)
 
-generate-i18n: i18n-template.h $(I18Npot) $(I18Npo) buildutil/pot2i18n.pl
-	buildutil/pot2i18n.pl $(I18Npot) i18n-template.h > i18n-generated.h
-
 ### Targets:
 
 libvdr-$(PLUGIN).so: $(OBJS)
@@ -247,7 +252,7 @@
 createcats: createcats.o Makefile
 	$(CXX) $(CXXFLAGS) $(LDFLAGS) createcats.o -o $@
 
-dist: generate-i18n docs clean
+dist: clean docs
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
@@ -260,7 +265,7 @@
 	@ln -sf README.git README
 	@echo Distribution package created as $(PACKAGE).tgz
 
-distfull: generate-i18n docs clean 
+distfull: docs clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
@@ -293,3 +298,4 @@
 	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
 	@-rm -f $(OBJS) $(OBJS2) $(OBJS3) $(OBJS4) $(DEPFILE) *.so *.tgz core* createcats createcats.o pod2*.tmp
 	@-find . \( -name "*~" -o -name "#*#" \) -print0 | xargs -0r rm -f
+	@-rm -rf doc html man
