=== debian/changelog ===
vdr-plugin-epgsearch (1.0.0+git20120325-4) unstable; urgency=low

  * Now really build-depend on vdr-1.7.28

 -- Tobias Grimm <etobi@debian.org>  Thu, 28 Jun 2012 23:17:10 +0200

vdr-plugin-epgsearch (1.0.0+git20120325-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Fri, 08 Jun 2012 14:59:21 +0200

vdr-plugin-epgsearch (1.0.0+git20120325-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:22 +0200

vdr-plugin-epgsearch (1.0.0+git20120325-1) unstable; urgency=low

  * New Upstream Snapshot (commit 65f1e50) (Closes: #666316)
  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3
  * Added debian/rules get-vcs-snapshot

 -- Tobias Grimm <etobi@debian.org>  Wed, 04 Apr 2012 22:51:02 +0200
