=== debian/changelog ===
vdr-plugin-epgsearch (1.0.1~beta3-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:03 +0200

vdr-plugin-epgsearch (1.0.1~beta3-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:07 +0100

vdr-plugin-epgsearch (1.0.1~beta3-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:45:18 +0100

vdr-plugin-epgsearch (1.0.1~beta3-2) unstable; urgency=low

  * Build-depend on vdr-1.7.40

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 18:53:22 +0100

vdr-plugin-epgsearch (1.0.1~beta3-1) unstable; urgency=low

  * New upstream version
  * Use debhelper 9
  * Build-depend on vdr-1.7.39

 -- Tobias Grimm <etobi@debian.org>  Sun, 24 Feb 2013 13:17:36 +0100
